## START: Set by rpmautospec
## (rpmautospec version 0.2.5)
%define autorelease(e:s:pb:) %{?-p:0.}%{lua:
    release_number = 4;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{?dist}
## END: Set by rpmautospec

# Generated by rust2rpm 20
%bcond_without check

%global crate rudo

Name:           rust-%{crate}
Version:        0.9.0
Release:        %autorelease
Summary:        Utility to gain privilege access on Unix system with Pam

# Upstream license specification: GPL-2.0-or-later
License:        GPLv2+
URL:            https://crates.io/crates/rudo
Source:         %{crates_source}
# Initial patched metadata
# Downgrade clap to version 2.33
Patch0:         rudo-fix-metadata.diff

ExclusiveArch:  %{rust_arches}

BuildRequires:  rust-packaging

%global _description %{expand:
Utility to gain privilege access on Unix system with Pam.}

%description %{_description}

%package     -n %{crate}
Summary:        %{summary}
Requires:       pam
# ASL 2.0
# ASL 2.0 or MIT
# LGPLv2 with exceptions
# LGPLv2+ with exceptions
# MIT
# MIT or ASL 2.0
# MPLv2.0
# Unlicense
# Unlicense or MIT
License:        ASL 2.0 and LGPLv2 with exceptions and LGPLv2+ with exceptions and MIT and MPLv2.0 and Unlicense

%description -n %{crate} %{_description}

%files       -n %{crate}
%license LICENSE
%doc README.md
%{_mandir}/man1/rudo.1*
%{_mandir}/man5/rudo.conf.5*
%attr(0644,root,root) %config %{_sysconfdir}/pam.d/rudo
%attr(0640,root,root) %config(noreplace) %{_sysconfdir}/rudo.conf
%attr(4755,root,root) %{_bindir}/rudo

%prep
%autosetup -n %{crate}-%{version_no_tilde} -p1
%cargo_prep

%generate_buildrequires
%cargo_generate_buildrequires

%build
%cargo_build

%install
%cargo_install
mkdir -p %{buildroot}%{_sysconfdir}
mkdir -p %{buildroot}%{_sysconfdir}/pam.d/
mkdir -p %{buildroot}%{_mandir}/man1
mkdir -p %{buildroot}%{_mandir}/man5
install -pm 0640 conf/rudo.conf %{buildroot}%{_sysconfdir}/rudo.conf
install -pm 0644 conf/rudo %{buildroot}%{_sysconfdir}/pam.d/rudo
install -pm 0644 man/rudo.1 %{buildroot}%{_mandir}/man1/rudo.1
install -pm 0644 man/rudo.conf.5 %{buildroot}%{_mandir}/man5/rudo.conf.5

%if %{with check}
%check
%cargo_test
%endif

%changelog
* Fri Jan 21 2022 Fedora Release Engineering <releng@fedoraproject.org> 0.9.0-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_36_Mass_Rebuild

* Tue Dec 14 2021 Rémi Lauzier <remilauzier@protonmail.com> 0.9.0-3
- Downgrade clap to 2.33

* Tue Dec 14 2021 Rémi Lauzier <remilauzier@protonmail.com> 0.9.0-1
- Update to version 0.9.0; Fixes RHBZ#2032288

* Fri Jul 23 2021 Fedora Release Engineering <releng@fedoraproject.org> - 0.8.8-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_35_Mass_Rebuild

* Sat Jun 05 17:09:21 EDT 2021 Rémi Lauzier <remilauzier@protonmail.com> - 0.8.8-1
- Update to 0.8.8.
- Fixes RHBZ#1968138

* Sun May 30 21:11:28 EDT 2021 Rémi Lauzier <remilauzier@protonmail.com> - 0.8.7-1
- Update to 0.8.7.

* Sat May 29 13:32:56 EDT 2021 Rémi Lauzier <remilauzier@protonmail.com> - 0.8.6-1
- Update to 0.8.6.

* Sat Apr 24 16:27:34 EDT 2021 Rémi Lauzier <remilauzier@protonmail.com> - 0.8.5-1
- Initial package

